Subject: Re: [Bitcoin-development] New standard transaction types: time to schedule a blockchain split?

From: Rick Wesson <[email-masked]>
Date: Wed, 24 Aug 2011 10:40:49 -0700

On Wed, Aug 24, 2011 at 10:19 AM, Gregory Maxwell <[email-masked]>wrote:

> On Wed, Aug 24, 2011 at 1:07 PM, Rick Wesson
> <[email-masked]> wrote:
> > On Wed, Aug 24, 2011 at 9:46 AM, Gregory Maxwell <[email-masked]>
> wrote:
> >> On Wed, Aug 24, 2011 at 12:15 PM, Luke-Jr <[email-masked]> wrote:
> >>
> >> > - Replace hard limits (like 1 MB maximum block size) with something
> that
> >> > can
> >> > dynamically adapt with the times. Maybe based on difficulty so it
> can't
> >> > be
> >> > gamed?
> >> Too early for that.
> > Could you provide a reference to why in your estimation it is "to early."
> >  Simpy stating this as fact isn't enough to sway demand.
>
> Can you provide a reference to this 'demand' a post by Luke isn't
> enough to support the claim of demand.
>
> how about trend, its a hard limit and as you acknowledged below we are not
there yet; however the trend is for more transactions and we will bump into
the limit. Being good architects we should consider how to scale or
explicitly state why its a good idea not to.

-rick

> We're not at maximum size right now (thankfully).
>
> We don't know what the network dynamics would look like at that
> traffic level. So how could we competently say what the right metrics
> would be to get the right behavior there?  Thats what I meant by too
> early.
>

no one ever "knows" what the network dynamics are going to be in developing
infrastructure -- so lets not kid our selves, in being able to estimate this
before the code is even written.

-rick